SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   Sun Grid Engine Vendors:   Sun
Sun Grid Engine Bug in Qmaster Daemon Lets Local Users Deny Service
SecurityTracker Alert ID:  1019830
SecurityTracker URL:  http://securitytracker.com/id/1019830
CVE Reference:   CVE-2008-1756   (Links to External Site)
Updated:  Apr 17 2008
Original Entry Date:  Apr 11 2008
Impact:   Denial of service via local system
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 6.1
Description:   A vulnerability was reported in Sun Grid Engine. A local user can cause denial of service conditions.

A local user can supply a long host resource evaluation expression to cause the Qmaster daemon to crash.

Impact:   A local user can cause the Qmaster daemon to crash.
Solution:   The vendor has issued the following fixes.

SPARC Platform

* N1 Grid Engine 6.1 (64-bit Solaris) with patch 127429-04 or later
* N1 Grid Engine 6.1 (64-bit Solaris) Non Solaris package format with patch 127434-04 or later

x86 Platform

* N1 Grid Engine 6.1 with patch 127430-04 or later
* N1 Grid Engine 6.1 Non Solaris package format with patch 127435-04 or later
* N1 Grid Engine 6.1 (x64) with patch 127431-04 or later
* N1 Grid Engine 6.1 (x64) Non Solaris package format with patch 127436-04 or later

Linux

* N1 Grid Engine 6.1 with patch 127437-04 or later
* N1 Grid Engine 6.1 RPM Package format with patch 127479-04 or later
* N1 Grid Engine 6.1 (x64) with patch 127438-04 or later
* N1 Grid Engine 6.1 RPM Package format (x64) with patch 127480-04 or later
* N1 Grid Engine 6.1 (ia64) with patch 127439-04 or later
* N1 Grid Engine 6.1 RPM Package format (ia64) with patch 127481-04 or later

HP-UX

* N1 Grid Engine 6.1 with patch 127443-04 or later
* N1 Grid Engine 6.1 (64 bit) with patch 127444-04 or later

AIX

* N1 Grid Engine 6.1 (for AIX 5.1) with patch 127440-04 or later

Mac OS

* N1 Grid Engine 6.1 (x86) with patch 127442-04 or later
* N1 Grid Engine 6.1 (ppc) with patch 127441-04 or later

IRIX

* N1 Grid Engine 6.1 (for IRIX 6.5) with patch 127445-04 or later

The vendor's advisory is available at:

http://sunsolve.sun.com/search/document.do?assetkey=1-66-234822-1

Vendor URL:  sunsolve.sun.com/search/document.do?assetkey=1-66-234822-1 (Links to External Site)
Cause:   Input validation error
Underlying OS:  Linux (Any), UNIX (AIX), UNIX (HP/UX), UNIX (macOS/OS X), UNIX (SGI/IRIX), UNIX (Solaris - SunOS)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC